This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1467654 - ship cluster upgrade script in ovirt-4.1
ship cluster upgrade script in ovirt-4.1
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Packaging.rpm (Show other bugs)
4.1.2
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-4.1.4
: 4.1.4
Assigned To: Sandro Bonazzola
Lukas Svaty
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-04 09:04 EDT by Dan Kenigsberg
Modified: 2017-07-28 10:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-28 10:20:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.1+
lsvaty: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 78989 ovirt-engine-4.1 MERGED packaging: Added host-update FET 2017-07-05 05:49 EDT
oVirt gerrit 78990 ovirt-engine-4.1 MERGED packaging: engine-host-update code cleanup 2017-07-05 05:49 EDT
oVirt gerrit 78994 ovirt-engine-4.1 MERGED packaging: Add --after option to engine-host-update 2017-07-05 05:50 EDT

  None (edit)
Description Dan Kenigsberg 2017-07-04 09:04:46 EDT
Description of problem:
We've recently added packaging/bin/engine-host-update.py to master branch. Let us ship it as part of ovirt-4.1, so that customers have an easier way to download it
Comment 1 Lukas Svaty 2017-07-19 08:45:07 EDT
verified in ovirt-engine-4.1.4.2-0.1.el7.noarch

script is indeed shipped in the 4.1.4
however functionality lacks some parts
created bugs for 4.2

Also we should consider deprecating this in the future one as we have ansible roles for this as well

relevant bugs:
https://bugzilla.redhat.com/show_bug.cgi?id=1472812
https://bugzilla.redhat.com/show_bug.cgi?id=1472739
https://bugzilla.redhat.com/show_bug.cgi?id=1472742
https://bugzilla.redhat.com/show_bug.cgi?id=1472745

Note You need to log in before you can comment on or make changes to this bug.